%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Authen-PAM
Version:       0.16
Release:       5mamba
Summary:       Authen::PAM - Perl interface to PAM library 
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/N/NI/NIKIP/Authen-PAM-%{version}.tar.gz
Patch0:        %{name}-0.16-disable_login_test.patch
Patch1:        perl-Authen-PAM-0.16-perl-5.36.0.patch
License:       Artistic, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpam-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Authen::PAM - Perl interface to PAM library.

%prep
%setup -q -n Authen-PAM-%{version}
%patch 0 -p1
%patch 1 -p1 -b .perl-5.36.0

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
/usr/bin/tty || exit 0
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.16-5mamba
- rebuilt with perl 5.36.0

* Thu Dec 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-4mamba
- rebuilt

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-3mamba
- rebuilt with perl 5.24

* Fri Nov 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-2mamba
- perl 5.16 mass rebuild

* Thu Apr 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-1mamba
- package created by autospec
